Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.0.84.ebuild
Date: Fri, 04 Sep 2009 05:40:06
Message-Id: E1MjWLM-0002h9-Lg@stork.gentoo.org
1 robbat2 09/09/04 10:48:36
2
3 Modified: ChangeLog
4 Added: mysql-5.0.84.ebuild
5 Log:
6 Version bump. 5.0.85 will follow when that Percona patchset is available.
7 (Portage version: 2.2_rc40/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.489 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.489&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.489&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.488&r2=1.489
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.488
20 retrieving revision 1.489
21 diff -p -w -b -B -u -u -r1.488 -r1.489
22 --- ChangeLog 6 Jul 2009 19:08:59 -0000 1.488
23 +++ ChangeLog 4 Sep 2009 10:48:36 -0000 1.489
24 @@ -1,6 +1,11 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.488 2009/07/06 19:08:59 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.489 2009/09/04 10:48:36 robbat2 Exp $
29 +
30 +*mysql-5.0.84 (04 Sep 2009)
31 +
32 + 04 Sep 2009; Robin H. Johnson <robbat2@g.o> +mysql-5.0.84.ebuild:
33 + Version bump. 5.0.85 will follow when that Percona patchset is available.
34
35 *mysql-5.0.83 (06 Jul 2009)
36
37
38
39
40 1.1 dev-db/mysql/mysql-5.0.84.ebuild
41
42 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.84.ebuild?rev=1.1&view=markup
43 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.84.ebuild?rev=1.1&content-type=text/plain
44
45 Index: mysql-5.0.84.ebuild
46 ===================================================================
47 # Copyright 1999-2009 Gentoo Foundation
48 # Distributed under the terms of the GNU General Public License v2
49 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.84.ebuild,v 1.1 2009/09/04 10:48:36 robbat2 Exp $
50
51 MY_EXTRAS_VER="20090904-0939Z"
52 EAPI=2
53
54 inherit toolchain-funcs mysql
55 # only to make repoman happy. it is really set in the eclass
56 IUSE="$IUSE"
57
58 # REMEMBER: also update eclass/mysql*.eclass before committing!
59 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
60
61 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
62 EPATCH_EXCLUDE=''
63
64 # Please do not add a naive src_unpack to this ebuild
65 # If you want to add a single patch, copy the ebuild to an overlay
66 # and create your own mysql-extras tarball, looking at 000_index.txt
67
68 # Official test instructions:
69 # USE='berkdb cluster embedded extraengine' \
70 # FEATURES='test userpriv -usersandbox' \
71 # ebuild mysql-X.X.XX.ebuild \
72 # digest clean package
73 src_test() {
74 # Bug #213475 - MySQL _will_ object strenously if your machine is named
75 # localhost. Also causes weird failures.
76 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
77
78 emake check || die "make check failed"
79 if ! use "minimal" ; then
80 if [[ $UID -eq 0 ]]; then
81 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
82 fi
83 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
84 cd "${S}"
85 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
86 local retstatus1
87 local retstatus2
88 local t
89 addpredict /this-dir-does-not-exist/t9.MYI
90
91 # Ensure that parallel runs don't die
92 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
93
94 # archive_gis really sucks a lot, but it's only relevant for the
95 # USE=extraengines case
96 case ${PV} in
97 5.0.42)
98 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
99 ;;
100
101 5.0.4[3-9]|5.0.[56]*|5.0.70)
102 [ "$(tc-endian)" == "big" ] && \
103 mysql_disable_test \
104 "archive_gis" \
105 "Broken in 5.0.43-70 on big-endian boxes only"
106 ;;
107 esac
108
109 # This was a slight testcase breakage when the read_only security issue
110 # was fixed.
111 case ${PV} in
112 5.0.54|5.0.51*)
113 mysql_disable_test \
114 "read_only" \
115 "Broken in 5.0.51-54, output in wrong order"
116 ;;
117 esac
118
119 # Ditto to read_only
120 [ "${PV}" == "5.0.51a" ] && \
121 mysql_disable_test \
122 "view" \
123 "Broken in 5.0.51, output in wrong order"
124
125 # x86-specific, OOM issue with some subselects on low memory servers
126 [ "${PV}" == "5.0.54" ] && \
127 [ "${ARCH/x86}" != "${ARCH}" ] && \
128 mysql_disable_test \
129 "subselect" \
130 "Testcase needs tuning on x86 for oom condition"
131
132 # Broke with the YaSSL security issue that didn't affect Gentoo.
133 [ "${PV}" == "5.0.56" ] && \
134 for t in openssl_1 rpl_openssl rpl_ssl ssl \
135 ssl_8k_key ssl_compress ssl_connect ; do \
136 mysql_disable_test \
137 "$t" \
138 "OpenSSL tests broken on 5.0.56"
139 done
140
141 # New test was broken in first time
142 # Upstream bug 41066
143 # http://bugs.mysql.com/bug.php?id=41066
144 [ "${PV}" == "5.0.72" ] && \
145 mysql_disable_test \
146 "status2" \
147 "Broken in 5.0.72, new test is broken, upstream bug #41066"
148
149 # SSL certs expired shortly after the release of 5.0.76. Affects older
150 # versions as well.
151 case ${PV} in
152 5.0.?|5.0.[1-6]*|5.0.7[0-6])
153 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
154 ssl_compress ssl_connect ; do \
155 mysql_disable_test \
156 "$t" \
157 "OpenSSL tests broken in 5.0.76 due to expired certificates"
158 done
159 ;;
160 esac
161
162 # create directories because mysqladmin might right out of order
163 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
164
165 # We run the test protocols seperately
166 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
167 retstatus1=$?
168 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
169 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
170
171 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
172 retstatus2=$?
173 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
174 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
175
176 # Cleanup is important for these testcases.
177 pkill -9 -f "${S}/ndb" 2>/dev/null
178 pkill -9 -f "${S}/sql" 2>/dev/null
179 failures=""
180 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
181 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
182 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
183 [[ -z "$failures" ]] || die "Test failures: $failures"
184 einfo "Tests successfully completed"
185 else
186 einfo "Skipping server tests due to minimal build."
187 fi
188 }